## org.gnu.gdk
Class Gravity

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.Gravity

public class Gravity
extends org.gnu.glib.Enum

Field Summary
`static Gravity` `CENTER`
`static Gravity` `EAST`
`static Gravity` `NORTH`
`static Gravity` `NORTH_EAST`
`static Gravity` `NORTH_WEST`
`static Gravity` `SOUTH`
`static Gravity` `SOUTH_EAST`
`static Gravity` `SOUTH_WEST`
`static Gravity` `STATIC`
`static Gravity` `WEST`

Method Summary
`Gravity` `and(Gravity other)`
`static Gravity` `intern(int value)`
`Gravity` `or(Gravity other)`
`boolean` `test(Gravity other)`
`Gravity` `xor(Gravity other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORTH_WEST

    public static final Gravity NORTH_WEST

### NORTH

    public static final Gravity NORTH

### NORTH_EAST

    public static final Gravity NORTH_EAST

### WEST

    public static final Gravity WEST

### CENTER

    public static final Gravity CENTER

### EAST

    public static final Gravity EAST

### SOUTH_WEST

    public static final Gravity SOUTH_WEST

### SOUTH

    public static final Gravity SOUTH

### SOUTH_EAST

    public static final Gravity SOUTH_EAST

### STATIC

    public static final Gravity STATIC

Method Detail

### intern

    public static Gravity intern(int value)

### or

    public Gravity or(Gravity other)

### and

    public Gravity and(Gravity other)

### xor

    public Gravity xor(Gravity other)

### test

    public boolean test(Gravity other)